CreateKey

View as Markdown

Creates a public/private key pair. You can optionally specify one or more roles for the key. You can find all available service account roles here.

Example request: Create a key pair.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

descriptionstringOptional
The key's description
key_namestringOptional
The key's name, up to 50 characters. Cannot be empty
role_idlist of integersOptional

The role ID list separated by semicolons (;). Use it instead of role_name, but not combine with

role_namelist of stringsOptional

The role name list separated by semicolons (;). Use it instead of role_id, but not combine with

Response

Successful response
resultobject

The [CreateKey] function result.